# Collecting Liquidity Data

The SDK includes several functions that simplify gathering liquidity-depth data.

#### To Get Liquidity Depth Data

1. Initialize the SDK with the [Constructor](/developer-guides/carbon-defi-sdk/sdk-functions/constructor.md).
2. Sync strategy data by calling [startDataSync](/developer-guides/carbon-defi-sdk/sdk-functions/startdatasync.md).
3. Call the relevant liquidity data function:
   * [getRateLiquidityDepthByPair](/developer-guides/carbon-defi-sdk/sdk-functions/getrateliquiditydepthbypair.md)
   * [getMinRateByPair](/developer-guides/carbon-defi-sdk/sdk-functions/getminratebypair.md)
   * [getMaxRateByPair](/developer-guides/carbon-defi-sdk/sdk-functions/getmaxratebypair.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/interacting-with-the-sdk/collecting-liquidity-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
